Get artifact
GET
/
v1
/
machines
/
{machine_id}
/
artifacts
/
{artifact_id}
Get artifact
curl --request GET \
--url https://dcs.dedaluslabs.ai/v1/machines/{machine_id}/artifacts/{artifact_id} \
--header 'x-api-key: <api-key>'import requests
url = "https://dcs.dedaluslabs.ai/v1/machines/{machine_id}/artifacts/{artifact_id}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://dcs.dedaluslabs.ai/v1/machines/{machine_id}/artifacts/{artifact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"artifact_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"machine_id": "<string>",
"name": "<string>",
"size_bytes": 123,
"download_url": "<string>",
"execution_id": "<string>",
"expires_at": "2023-11-07T05:31:56Z",
"mime_type": "<string>",
"sha256": "<string>"
}
Authorizations
ApiKeyAuthBearerAuth
Dedalus API key. Alternative to Bearer token.
Headers
Path Parameters
Required string length:
4 - 253Pattern:
^dm-[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Required string length:
1 - 253Pattern:
^[A-Za-z0-9]([A-Za-z0-9._-]*[A-Za-z0-9])?$Last modified on July 13, 2026
Was this page helpful?
⌘I
Get artifact
